搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Install older version of Firefox for Mac OSX 10.4.11

  • 6 回覆
  • 979 有這個問題
  • 132595 次檢視
  • 最近回覆由 yvonnef

more options

I accidentally downloaded and wrote over the Firefox version I had with the new 7.0 version of Firefox after I read that my Mac OSX 10.4.11 is not compatible. Is there a way to download an older version, a compatible version of Firefox?

所有回覆 (6)

more options
more options

[https://support.mozilla.org/en-US/kb/Installing%20a%20previous%20version%...] Before you download an earlier version of Firefox, read Mozilla's caveat (above).

Which has a link to the following Mozilla website of downloads for recent and old versions of Firefox: Install-older-version-of-Firefox

more options

since this question is still getting a lot of traffic - firefox 3.6.28 unfortunately was the last version of the browser which supported mac osx 10.4.11 and the powerpc architecture.

there's the tenfourfox project which is porting the up-to-date version of mozilla's browser to powerpc. the downside is tenfourfox doesn't support plugins like flash or java. for more information see: www.floodgap.com/software/tenfourfox

Firefox no longer works with Mac OS X 10.4 or PowerPC processors

more options

Note that TenFourFox only works with a Power PC processor and not with an Intel processor that the original poster has.

more options

None of links I tried for Mac on the page http://www.mozilla.com/en-US/firefox/all-older.html are working. But I found a version on the FTP server: https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/mac/

由 f.rabe 於 修改

more options

Thank you so much! I clicked on the en-US link and I got my old version of Firefox back with bookmarks intact. xoxoxoxo